ApacheVirtualHost (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.apache.ApacheVirtualHost interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.apache
Interface ApacheVirtualHost

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebVirtualHost

    public interface ApacheVirtualHost

extends WebVirtualHost

Represents an Apache Virtual Host.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessConfig()`
`java.lang.String` | `getErrorLog()`
`java.lang.String` | `getGroup()`
`int` | `getLimitRequestBody()`
`java.lang.String` | `getLogLevel()`
`java.lang.String` | `getResourceConfig()`
`int` | `getRLimitCPU()`
`int` | `getRLimitMEM()`
`int` | `getRLimitNPROC()`
`java.lang.String` | `getServerAdmin()`
`java.lang.String` | `getServerPath()`
`ApacheSSLSettings` | `getSslSettings()`
`java.lang.String` | `getUser()`
`boolean` | `hasAccessConfig()`
`boolean` | `hasErrorLog()`
`boolean` | `hasGroup()`
`boolean` | `hasLimitRequestBody()`
`boolean` | `hasLogLevel()`
`boolean` | `hasResourceConfig()`
`boolean` | `hasRLimitCPU()`
`boolean` | `hasRLimitMEM()`
`boolean` | `hasRLimitNPROC()`
`boolean` | `hasServerAdmin()`
`boolean` | `hasServerPath()`
`boolean` | `hasSslSettings()`
`boolean` | `hasUser()`
`void` | `setAccessConfig(java.lang.String accessConfig)`
`void` | `setErrorLog(java.lang.String errorLog)`
`void` | `setGroup(java.lang.String group)`
`void` | `setLimitRequestBody(int limitRequestBody)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setResourceConfig(java.lang.String resourceConfig)`
`void` | `setRLimitCPU(int rLimitCPU)`
`void` | `setRLimitMEM(int rLimitMEM)`
`void` | `setRLimitNPROC(int rLimitNPROC)`
`void` | `setServerAdmin(java.lang.String serverAdmin)`
`void` | `setServerPath(java.lang.String serverPath)`
`void` | `setSslSettings(ApacheSSLSettings sslSettings)`
`void` | `setUser(java.lang.String user)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebVirtualHost
`getBindAddresses, getDefaultWebServer, getDirectives, getDocumentRoot, getParent, getPrimarySAP, getProxyServer, getServerAliases, getServerName, hasBindAddresses, hasDefaultWebServer, hasDirectives, hasDocumentRoot, hasParent, hasPrimarySAP, hasProxyServer, hasServerAliases, hasServerName, setBindAddresses, setDefaultWebServer, setDirectives, setDocumentRoot, setParent, setPrimarySAP, setProxyServer, setServerAliases, setServerName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getServerAdmin

    java.lang.String getServerAdmin()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerAdmin

    void setServerAdmin(java.lang.String serverAdmin)

### hasServerAdmin

    boolean hasServerAdmin()

### getServerPath

    java.lang.String getServerPath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerPath

    void setServerPath(java.lang.String serverPath)

### hasServerPath

    boolean hasServerPath()

### getGroup

    java.lang.String getGroup()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGroup

    void setGroup(java.lang.String group)

### hasGroup

    boolean hasGroup()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String user)

### hasUser

    boolean hasUser()

### getAccessConfig

    java.lang.String getAccessConfig()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccessConfig

    void setAccessConfig(java.lang.String accessConfig)

### hasAccessConfig

    boolean hasAccessConfig()

### getResourceConfig

    java.lang.String getResourceConfig()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setResourceConfig

    void setResourceConfig(java.lang.String resourceConfig)

### hasResourceConfig

    boolean hasResourceConfig()

### getErrorLog

    java.lang.String getErrorLog()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorLog

    void setErrorLog(java.lang.String errorLog)

### hasErrorLog

    boolean hasErrorLog()

### getLogLevel

    java.lang.String getLogLevel()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogLevel

    void setLogLevel(java.lang.String logLevel)

### hasLogLevel

    boolean hasLogLevel()

### getLimitRequestBody

    int getLimitRequestBody()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimitRequestBody

    void setLimitRequestBody(int limitRequestBody)

### hasLimitRequestBody

    boolean hasLimitRequestBody()

### getRLimitCPU

    int getRLimitCPU()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRLimitCPU

    void setRLimitCPU(int rLimitCPU)

### hasRLimitCPU

    boolean hasRLimitCPU()

### getRLimitMEM

    int getRLimitMEM()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRLimitMEM

    void setRLimitMEM(int rLimitMEM)

### hasRLimitMEM

    boolean hasRLimitMEM()

### getRLimitNPROC

    int getRLimitNPROC()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRLimitNPROC

    void setRLimitNPROC(int rLimitNPROC)

### hasRLimitNPROC

    boolean hasRLimitNPROC()

### getSslSettings

    ApacheSSLSettings getSslSettings()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setSslSettings

    void setSslSettings(ApacheSSLSettings sslSettings)

### hasSslSettings

    boolean hasSslSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD